#ifndef EASTHITBOX_H
#define EASTHITBOX_H

#include <QObject>
#include <QGraphicsPixmapItem>

class eastHitbox : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit eastHitbox(QPixmap);
    virtual ~eastHitbox();

public slots:
    void newPos(qreal x,qreal y);

signals:
    void movedHB(eastHitbox *);

private:
    qreal m_x;
    qreal m_y;
};

#endif // EASTHITBOX_H
